"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var AngularControllerBase = /** @class */ (function () {
    function AngularControllerBase(scope) {
        this.scope = scope;
    }
    AngularControllerBase.prototype.$onInit = function () {
        this.onInit();
    };
    AngularControllerBase.prototype.$doCheck = function () {
        this.doCheck();
    };
    AngularControllerBase.prototype.$onChanges = function (onChangesObj) {
        this.onChanges(onChangesObj);
    };
    AngularControllerBase.prototype.$onDestroy = function () {
        this.onDestroy();
    };
    AngularControllerBase.prototype.$postLink = function () {
        this.postLink();
    };
    AngularControllerBase.prototype.onInit = function () {
        // override this method.
    };
    AngularControllerBase.prototype.doCheck = function () {
        // override this method.
    };
    AngularControllerBase.prototype.onChanges = function (onChangesObj) {
        // override this method.
    };
    AngularControllerBase.prototype.onDestroy = function () {
        // override this method.
    };
    AngularControllerBase.prototype.postLink = function () {
        // override this method.
    };
    return AngularControllerBase;
}());
exports.AngularControllerBase = AngularControllerBase;
