"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var base_controller_1 = require("../base.controller");
var modal_service_1 = require("../../services/modal.service");
var DialogControllerBase = /** @class */ (function (_super) {
    tslib_1.__extends(DialogControllerBase, _super);
    function DialogControllerBase(scope, modalInstance, injector) {
        var _this = _super.call(this, scope, injector) || this;
        _this.modalInstance = modalInstance;
        _this.modalService = _this.getService(modal_service_1.ModalService);
        return _this;
    }
    DialogControllerBase.prototype.isActiveDialog = function () {
        return this.modalService.modals.last().key === this.modalInstance;
    };
    DialogControllerBase.prototype.cancel = function () {
        this.modalInstance.close();
    };
    DialogControllerBase.prototype.close = function (result) {
        if (result === void 0) { result = null; }
        this.modalInstance.resolve(result);
    };
    return DialogControllerBase;
}(base_controller_1.ControllerBase));
exports.DialogControllerBase = DialogControllerBase;
