"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var base_directive_1 = require("./base.directive");
var directive_1 = require("../decorators/directive");
var angular_service_1 = require("../services/angular.service");
var FocusWhenDirective = /** @class */ (function (_super) {
    tslib_1.__extends(FocusWhenDirective, _super);
    function FocusWhenDirective(timeout) {
        var _this = _super.call(this) || this;
        _this.timeout = timeout;
        return _this;
    }
    FocusWhenDirective_1 = FocusWhenDirective;
    FocusWhenDirective.prototype.onInit = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        var _this = this;
        var focusDelay = 100;
        if (instanceAttributes["focus-delay"])
            focusDelay = parseInt(instanceAttributes["focus-delay"], 10);
        scope.$watch(function () { return instanceAttributes["focusWhen"]; }, function () {
            _this.timeout(function () {
                try {
                    var model = scope.$eval(instanceAttributes["focusWhen"]);
                    if (model) {
                        instanceElement.focus();
                    }
                }
                catch (e) {
                    // ignore exceptions
                }
            }, focusDelay);
        });
    };
    FocusWhenDirective.factory = function (timeout) {
        return new FocusWhenDirective_1(timeout);
    };
    FocusWhenDirective = FocusWhenDirective_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "focusWhen",
            dependencies: [angular_service_1.AngularServices.timeout]
        })
    ], FocusWhenDirective);
    return FocusWhenDirective;
    var FocusWhenDirective_1;
}(base_directive_1.DirectiveBase));
exports.FocusWhenDirective = FocusWhenDirective;
