"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var base_directive_1 = require("./base.directive");
var directive_1 = require("../decorators/directive");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var $ = require("jquery");
var RemoveClassDirective = /** @class */ (function (_super) {
    tslib_1.__extends(RemoveClassDirective, _super);
    function RemoveClassDirective() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RemoveClassDirective_1 = RemoveClassDirective;
    RemoveClassDirective.prototype.onInit = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        var options = {};
        this.tryGet(options, instanceAttributes, "element");
        this.tryGet(options, instanceAttributes, "removeClass");
        if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(options.element)) {
            var element = $(options.element);
            if (element.hasClass(options.removeClass)) {
                element.removeClass(options.removeClass);
            }
        }
    };
    RemoveClassDirective.factory = function () {
        return new RemoveClassDirective_1();
    };
    RemoveClassDirective = RemoveClassDirective_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "removeClass"
        })
    ], RemoveClassDirective);
    return RemoveClassDirective;
    var RemoveClassDirective_1;
}(base_directive_1.DirectiveBase));
exports.RemoveClassDirective = RemoveClassDirective;
